<?php

function validasimples(){
	if( !isset($_SESSION['username'])){
		header("Location: error.php" );
	}
}


function valida($area){
	if( !isset($_SESSION['username'])){
		header("Location: error.php" );
	}
	
	$valor=0;

	foreach ($_SESSION['grupo'] as &$value) {
    	if($value == $area){
			$valor=1;
			}
	}
	
	if( $valor<>1){
		header("Location: error.php" );
	}	
	
}
		
function convertdata($data){
		if($data<>''){
		
		$data2 = explode("/", $data);
		$data3 = date('Y-m-d', mktime(0, 0, 0, $data2[1], $data2[0], $data2[2]));
		return $data3;
		}
	}

function convertdatamais($data, $soma=0){
		if($data<>''){
		
		$data2 = explode("/", $data);
		$data3 = date('Y-m-d', mktime(0, 0, 0, $data2[1], $data2[0] + $soma, $data2[2]));
		return $data3;
		}
	}



function dataemnumero($data, $soma=0){
		if($data<>''){
		
		$data2 = explode("/", $data);
		$data3 = mktime(0, 0, 0, $data2[1], $data2[0] + $soma, $data2[2]);
		return $data3;
		}
	}



	
function numerobrasil($numero){
	
	$numero = str_replace('.', '', $numero);
	$numero = str_replace(',', '.', $numero);
	return $numero;
	
}

function extenso($valor=0, $maiusculas=false)
{
    // verifica se tem virgula decimal
    if (strpos($valor,",") > 0)
    {
      // retira o ponto de milhar, se tiver
      $valor = str_replace(".","",$valor);

      // troca a virgula decimal por ponto decimal
      $valor = str_replace(",",".",$valor);
    }

        $singular = array("centavo", "real", "mil", "milhão", "bilhão", "trilhão", "quatrilhão");
        $plural = array("centavos", "reais", "mil", "milhões", "bilhões", "trilhões",
"quatrilhões");

        $c = array("", "cem", "duzentos", "trezentos", "quatrocentos",
"quinhentos", "seiscentos", "setecentos", "oitocentos", "novecentos");
        $d = array("", "dez", "vinte", "trinta", "quarenta", "cinquenta",
"sessenta", "setenta", "oitenta", "noventa");
        $d10 = array("dez", "onze", "doze", "treze", "quatorze", "quinze",
"dezesseis", "dezesete", "dezoito", "dezenove");
        $u = array("", "um", "dois", "três", "quatro", "cinco", "seis",
"sete", "oito", "nove");

        $z=0;
		$rt = "";

        $valor = number_format($valor, 2, ".", ".");
        $inteiro = explode(".", $valor);
        for($i=0;$i<count($inteiro);$i++)
                for($ii=strlen($inteiro[$i]);$ii<3;$ii++)
                        $inteiro[$i] = "0".$inteiro[$i];

        $fim = count($inteiro) - ($inteiro[count($inteiro)-1] > 0 ? 1 : 2);
        for ($i=0;$i<count($inteiro);$i++) {
                $valor = $inteiro[$i];
                $rc = (($valor > 100) && ($valor < 200)) ? "cento" : $c[$valor[0]];
                $rd = ($valor[1] < 2) ? "" : $d[$valor[1]];
                $ru = ($valor > 0) ? (($valor[1] == 1) ? $d10[$valor[2]] : $u[$valor[2]]) : "";

                $r = $rc.(($rc && ($rd || $ru)) ? " e " : "").$rd.(($rd &&
$ru) ? " e " : "").$ru;
                $t = count($inteiro)-1-$i;
                $r .= $r ? " ".($valor > 1 ? $plural[$t] : $singular[$t]) : "";
                if ($valor == "000")$z++; elseif ($z > 0) $z--;
                if (($t==1) && ($z>0) && ($inteiro[0] > 0)) $r .= (($z>1) ? " de " : "").$plural[$t];
                if ($r) $rt = $rt . ((($i > 0) && ($i <= $fim) &&
($inteiro[0] > 0) && ($z < 1)) ? ( ($i < $fim) ? ", " : " e ") : " ") . $r;
        };

         if(!$maiusculas){
                          return($rt ? $rt : "zero");
         } elseif($maiusculas == "2") {
                          return (strtoupper($rt) ? strtoupper($rt) : "Zero");
         } else {
                          return (ucwords($rt) ? ucwords($rt) : "Zero");
         }

}


function formatarCPF_CNPJ($campo, $formatado = true){
	//retira formato
	$codigoLimpo = $campo;
	// pega o tamanho da string menos os digitos verificadores
	$tamanho = (strlen($codigoLimpo) -2);
	//verifica se o tamanho do código informado é válido
	if ($tamanho != 9 && $tamanho != 12){
		return false; 
	}
 
	if ($formatado){ 
		// seleciona a máscara para cpf ou cnpj
		$mascara = ($tamanho == 9) ? '###.###.###-##' : '##.###.###/####-##'; 
 
		$indice = -1;
		for ($i=0; $i < strlen($mascara); $i++) {
			if ($mascara[$i]=='#') $mascara[$i] = $codigoLimpo[++$indice];
		}
		//retorna o campo formatado
		$retorno = $mascara;
 
	}else{
		//se não quer formatado, retorna o campo limpo
		$retorno = $codigoLimpo;
	}
 
	return $retorno;
 
}




function diffDate($d1, $d2, $type='D', $sep='-')
{
 $d1 = explode($sep, $d1);
 $d2 = explode($sep, $d2);
 switch ($type)
 {
 case 'A':
 $X = 31536000;
 break;
 case 'M':
 $X = 2592000;
 break;
 case 'D':
 $X = 86400;
 break;
 case 'H':
 $X = 3600;
 break;
 case 'MI':
 $X = 60;
 break;
 default:
 $X = 1;
 }
 
return floor( ( (  mktime(0, 0, 0, $d2[1], $d2[2], $d2[0]) - mktime(0, 0, 0, $d1[1], $d1[2], $d1[0] ) ) / $X ) );
}


function mascara_string($mascara,$string)
{
   $string = str_replace(" ","",$string);
   for($i=0;$i<strlen($string);$i++)
   {
      $mascara[strpos($mascara,"#")] = $string[$i];
   }
   return $mascara;
}


function diasemana($dia){
	switch($dia){
		case 0:
			return 'Dom';
		break;
		case 1:
			return 'Seg';
		break;
		case 2:
			return 'Ter';
		break;
		case 3:
			return 'Qua';
		break;
		case 4:
			return 'Qui';
		break;
		case 5:
			return 'Sex';
		break;
		case 6:
			return 'Sab';
		break;
	}
}


function mesbrasil($mes){
	switch($mes){
		case 1:
			return 'Janeiro';
		break;
		case 2:
			return 'Fevereiro';
		break;
		case 3:
			return 'Marco';
		break;
		case 4:
			return 'Abril';
		break;
		case 5:
			return 'Maio';
		break;
		case 6:
			return 'Junho';
		break;
		case 7:
			return 'Julho';
		break;
		case 8:
			return 'Agosto';
		break;
		case 9:
			return 'Setembro';
		break;
		case 10:
			return 'Outubro';
		break;
		case 11:
			return 'Novembro';
		break;
		case 12:
			return 'Dezembro';
		break;
	}
}

?>